<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.check.mapper.TCheckBankNoMapper">

  <resultMap id="tCheckBankNoMap" type="com.yifu.cloud.plus.v1.check.entity.TCheckBankNo">
    <id property="id" column="id"/>
    <result property="createTime" column="create_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>
    <result property="updateTime" column="update_time"/>
    <result property="createName" column="create_name"/>
    <result property="type" column="type"/>
    <result property="message" column="message"/>
    <result property="remark" column="remark"/>
    <result property="result" column="result"/>
    <result property="bankName" column="bank_name"/>
	  <result property="bankNo" column="bank_no"/>
    <result property="cardType" column="card_type"/>
    <result property="cardCategory" column="card_category"/>
	  <result property="name" column="name"/>
	  <result property="idNum" column="id_num"/>
  </resultMap>

	<!--获取list-->
	<select id="getListByNoList" resultMap="tCheckBankNoMap">
		SELECT
			a.id,
		       a.bank_no,
		       a.name,
		       a.result,
			   a.id_num
		FROM t_check_bank_no a
		where a.bank_no in
				<foreach item="item" index="index" collection="noList" open="(" separator="," close=")">
					#{item}
				</foreach>
	</select>
</mapper>
